// StampDial.cpp : implementation file
//

#include "stdafx.h"
#include "BemStream.h"
#include "StampDial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStampDial dialog


CStampDial::CStampDial(CWnd* pParent /*=NULL*/)
	: CDialog(CStampDial::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStampDial)
	m_tim = 0.0f;
	//}}AFX_DATA_INIT
}


void CStampDial::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStampDial)
	DDX_Text(pDX, IDC_TIME, m_tim);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CStampDial, CDialog)
	//{{AFX_MSG_MAP(CStampDial)
	ON_BN_CLICKED(IDC_COLOR, OnColor)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStampDial message handlers

void CStampDial::OnColor() 
{
	CColorDialog cdlg;
	cdlg.m_cc.rgbResult=clr;
	if (cdlg.DoModal()==IDOK)
	{
		clr=cdlg.m_cc.rgbResult;
	}
}
